Update UI Widget Style
Closed, ArchivedPublic

Description

The UI styling and widgets currently in Blender were designed in 2006 for the upcoming 2.5 refresh. While it has served us well for a while, it's clear that many areas don't work optimally. The current widget designs look work ok when viewed individually, but when many of them are put together the overall impression is crowded and busy.

The Issue:

  • The heavy gradients, outlines and embossing makes the UI look overly complex and daunting
  • The complex widgets add unnecessary computational overhead for OpenGL to draw

Goals:

  • Make the UI more calm and clear
  • Faster for OpenGL to draw. This becomes even more important when considering animated elements in the UI
  • Should work well on retina displays as well as regular displays

Proposed changes:

  • Remove emboss effect across the entire UI. Looks much cleaner and works better with retina displays
  • Simplify all buttons by making them 'flat' for a cleaner UI with many controls
  • Remove outlines and shadows
  • Replace radio buttons with tabs where appropriate (Properties header, for example)

Implementation:
These changes require both changes to the widget drawing code and the default theme.

Simplified widget example:

Full simplified widget set:

Example (Render Properties):

With alternate, single column layout:

Details

Type
Design
There are a very large number of changes, so older changes are hidden. Show Older Changes

@ januz, it does rather..

If you can get that patch included for 2.71 it pretty much completes the task.Almost every other suggestion here can be accomplished with the theme options we have already.
Then we'd just have to implement a new default theme once the UI team OK's it.

Great work !

flat design doesn't mean just no bevel, there are many things that combined makes it look a good flat design (rollovers ... ), there is coding to be done, even the slightest color change make it right or wrong.

adding flat style icons to previous mockup:

Hiho,

I think at first we have to decide what we really want to have. And I don't mean questions like "how should the icons look like?" or "a ui with a bevels/gradients or not".

I think we should ask other questions: "What are our special targets with the new Blender ui?", "Should the ui enable us to handle it very fast or do we want more clearity?" and for sure some more questions.

Before we change the ui we need to be sure, that the decisions suits our needs.

And one more note: There is a difference between the ui look and the ui design. We should differenciate both very carefully.
The correct order seams to be:

  1. ui design
  2. ui look

But hey, I am a blender user and not a programmer. I don't know if I'm right with my sentences.
Oh, and sorry for my poor english. :)

Ionarn

@Warren Bahler (russcript), thanks but we still need to add the options

@Yousef Harfoush (bat3a) agreed, but I don't think we should be focusing on flat looks only. The new widget designs should work with any theme settings.

@Tillmann Schütz (Ionarn) Those are some valid points. Some of those questions are answered in the guidelines.

I did some tweaks on @William Reynish (billrey)'s mockup

  • Added a soft gradient to buttons to distinguish them from inputs, and make it more evident that they can be "pushed"
  • Added a 10px (ish) separation between grouped widgets so they don't blend together
  • Used bold in headers to have a more readable hierarchy
  • Visually separated labels from data in numeric inputs
  • Added a handle to the sliders. This is more or less a standard thing, and helps separate them from progress bars.
  • Moved the (+) icon in lists to the side, as an "unfolding" triangle (like the ones in panel headers).
  • The ratio widget is an idea about combining two related numeric inputs into one. I haven't thought much about it though.

SVG file:

Here's an example built with @Nicholas Benge (cubedparadox)'s mockup:

(No layout changes from current Blender)

SVG file:

Is there a deadline for this task?

I offer myself to help out on the coding side. Feel free to poke me when some decisions have been made :)

Okay @Pablo Vazquez (venomgfx) is working on more mockups for this, based on @William Reynish (billrey)'s mockups above. He will present his mockups soon.

maybe it's good time to think about replacing/redesigning our direction OpenGL light widgets which are far from perfect. Or just use simple Azimuth, Elevation sliders instead. At least it can be thought on next meeting

maybe it's good time to think about replacing/redesigning our direction OpenGL light widgets which are far from perfect. Or just use simple Azimuth, Elevation sliders instead. At least it can be thought on next meeting

Let's stay on topic. The OpenGL light widgets could use some love but that's for a different task. It's in no way related to this task.

This comment was removed by Tillmann Schütz (Ionarn).

I personally like having the low-contrast borders between joined sliders, like in this example: https://developer.blender.org/T38037#56

@Ellwood Zwovic (gandalf3): It's not useful to only know what you like or not.
Because everyone has a different taste for good design and looks on it with different perspectives, reasons are needed to be able to get to a common consensus via discussions.

From just looking at the mockup images, I find it a bit difficult to quickly determine which parts of the sliders do what.

It might be different using it in real time though.

hello

i try to propost design see my draw:

i'm not sure for space of font, but color clear...?

i can try again for fix it if it's needed or not ok?

Not sure about this. We already have issues with vertical scrolling and this looks approx 3 tiles taller than actual interface.
No clear distinction between value bars can be misleading.

I don't understand why nobody reminds it.
Clean interface with one setting per line was already tried in 2.5X.
It was rejected by users because it is unworkable. Vertical scrolling is necessary at each setting change.
Of course, it looks better and it is more welcoming. But we need to able to work with blender.

It is not a problem in Cycles Interface because nobody is using Properties Editor for Cycles Material creation ; we are using nodes for that.
Cycles Panel used in Properties Editor like Settings panel, Ray Visibility, Cycles Hair are using 2 columns.

I am not against one column of settings in a Panel at condition that Properties Editor is not limited of display of one colum of panels.
We have two columns of settings in panels because of that restriction of one column of panels.
Panels readability problem is not related to panel widgets it is related to Properties Editor limitation.

Work is needed on Properties Area if you want a cool panels look.

hello
@Paolo Lo Bello (Wildlux)
it's base idea from precedent posts, ok?

@Bartosz Moniewski (monio)
i did 3 tiles, because i try design look, it's can working vertical scrolling, if mode to horizontal i will add new design look, after i will send ok?
but for now it's base idea for design look ok?
nothing to choose ok?

hello

Well, it's in a random spot, but here's my two cents. I personally think that the clean interface would help Blender. Removing all the bevels and gradients makes for a cleaner, and therefore easier to read, interface. While there will still be the problem of defining different areas and making sure that it isn't too minimalist, I think it's a step in the right direction. I'm sure there will be some users that will scream bloody murder, but change happens. And heck, you could even make it optional.

hello

i try fix look design but i'm not sure if my look design is suitable...

i'm not sure and depend from you ok? :-)

this is vertical, open box

this is vertical, close box

this is horizontal, open box

this is horizontal, close box

the box = group, this is very important for new user entry else new user will not accessible or unlike to learn for new software 3d "blender"..
for user expert is not problem, and fast for my/your eyes and relax for moving eyes (important, for avoid fatigue/stress to my/your eyes).

what do you think this?

:-)

hello

i forget to add information, see my picture:

read my message in picture..

I totally agree with the style with less gratients, more flater but with some highlight on important buttons or progress bar. That's a good thing, the interface is less eye catching as this, but not completely masked.

@manuel (manuel_songokuh) : your proposal is a very good idea, I was thinking that there was a problem with this style before, what you made can realy make the panels more readable.

But as @ronan ducluzeau (zeauro) say before, the actual one column style is a productivity killer. On this picture showed above (sorry i don't know how to use images), on the current 2 column style, you can see (header excepted) 22 buttons.
On the new, 17. And as you can see, it takes more place on screen (there is a difference of 1 header size), but all the options are not here. No AA option, so it will take even more place !

Ok 1 column is more readable, but always force users to scroll more and more, to loose their time using the interface.
You can gain a few time by making the UI cleaner (but you will mainly gain in comfort), but the main priority is artist's productivity !
The tabs in the toolbar was made to avoid scrolling, to save time for users, and not to be nice.

Please keep that in mind. Thanks.

But as @ronan ducluzeau (zeauro) say before, the actual one column style is a productivity killer. On this picture showed above (sorry i don't know how to use images), on the current 2 column style, you can see (header excepted) 22 buttons.
On the new, 17. And as you can see, it takes more place on screen (there is a difference of 1 header size), but all the options are not here. No AA option, so it will take even more place !
You can gain a few time by making the UI cleaner (but you will mainly gain in comfort), but the main priority is artist's productivity !

More densely populated GUI does not equal better productivity. I would argue that organization and readability are more important. Toolbar was improved with better organization - creating categories and bundling stuff together. It's already done with the Properties window, but it has too big categories still (mostly Render and Object), so the buttons must be dense, or they will be too long.

In this case I would consider this talk by Brecht - https://www.youtube.com/watch?v=ziPLNUfm7KA In there (4:09) he mentions how certain sections are occupying screen space, while being accessed rarely.

I would consider Render, Render Layers, Scene and World settings to be accessed less often than Object settings for instance. In this case it would be good to consider moving them out of the Properties, placing them under a single button invoking a popup, while simultaneously dividing Render settings into smaller categories, to remedy it's current bloat. Same with Object settings. This would also make Object properties the leftmost and main category (currently it is a bit lost among other, and has low discoverability).

No longer having such long categories would make it possible to rearrange the buttons to make them more readable, and avoid this kind of cramming - https://dl.dropboxusercontent.com/s/hm363wr0goo7yyy/shot_140903_104520.png?dl=0

Lapineige added a comment.EditedSep 3 2014, 11:35 AM

More densely populated GUI does not equal better productivity. I would argue that organization and readability are more important. Toolbar was improved with better organization - creating categories and bundling stuff together. It's already done with the Properties window, but it has too big categories still (mostly Render and Object), so the buttons must be dense, or they will be too long.

I do not just say: a dense GUI is better.
I mean that a 1 column GUI will imply a very long list of buttons and values, located vertically, and as a result a lots a scrolling.

But as Brecht said and as you said, better organisation is the key.
In the previous release, lots of small changes has been made to the UI, lots of moves of small buttons and values.
In any case I remember, that greatly improved the UI (while keeping the 2 columns design).

The challenge is to find the good organisation of all that stuff. In your image, the Time Remapping is rarely used, but where can we move that ?

I agree with you about the Object Settings, because Render Layers, Scene and World settings are not accessed so much.
But not for the Render Settings: for instance, I use them more often than Object settings.

More densely populated GUI does not equal better productivity. I would argue that organization and readability are more important. Toolbar was improved with better organization - creating categories and bundling stuff together. It's already done with the Properties window, but it has too big categories still (mostly Render and Object), so the buttons must be dense, or they will be too long.

You can split panels into smaller ones. You will have to click more to open and close more panels to see them. It is an illusion to think that it is a lot different than scrolling. It will not solve my problem.
Actual panels represents a grouping that make sense.
Of course, Blender will continue to evolve and it is an obligation to periodically rethink organization by splitting panels, rethinking grouping and suppressing outdated options.

But I am talking about a basic thing to have a more clean organized UI.
It is to let one Properties Editor be able to display more panels at a time; instead of being forced to open 2 unsynchronized Properties Editors in the same screen .

You can be an illustrator and need display of render setting, materials, object settings, object data. Or you can be an animator and need display of armature and bones settings and physics.
There is no ideal organization. It depends of use. Splitting panels can make sense if we continue to group them by their action.
But trying to create a hierarchy between more used and less used options does not make sense for all uses.

Zooming out is not sufficient if we are stucked to one column.
There is a real need to display more settings while keeping actual panel grouping that have a readable sense.

I have no doubt that being able to split Properties Editor Tabs would help. I propose a visual one that does not require thinking work.
I am septical that a reorganization of settings grouping into more panels would be sufficient or pertinent.

You can split panels into smaller ones. You will have to click more to open and close more panels to see them. It is an illusion to think that it is a lot different than scrolling. It will not solve my problem.

Please use proper naming - a panel is for instance Dimensions, under a Render tab/category, in the Properties editor, and I haven't mentioned splitting panels at all.

There is no ideal organization. It depends of use.
But trying to create a hierarchy between more used and less used options does not make sense for all uses.

You've got a point. I can see cases when a user needs constant access to the Render, World, Scene and Render Layers properties. In this case some Properties window categories need some splitting, just as you said, because they became a bit bloated.

Though I don't see a case where somebody's workflow would require constant access to the Display settings, as in the 3d View's Properties sidebar. A popup with settings, that doesn't cover the whole 3dView/is draggable, would work better there. But if there are such cases, please provide examples.

Can we move this discussion to a seperate task? By which I mean any discussion that isn't about the flat style, and by 'we' I mean 'someone from the UI team' :D
I think some really good points are being made, and it'd be nice if there was an official task where these were the main course.

Can we move this discussion to a seperate task? By which I mean any discussion that isn't about the flat style, and by 'we' I mean 'someone from the UI team' :D
I think some really good points are being made, and it'd be nice if there was an official task where these were the main course.

Done.

So, from now on, please post mockups and proposals that relate to the organization of the GUI here - https://developer.blender.org/T41700

Though I don't see a case where somebody's workflow would require constant access to the Display settings, as in the 3d View's Properties sidebar. A popup with settings, that doesn't cover the whole 3dView/is draggable, would work better there. But if there are such cases, please provide examples.

In 2.5x original idea, 3d View's Properties sidebar should only contain Display settings.
But in practice, we know that it is not the case.

Transform panel, 3D Cursor panel,Transform Orientations Panel, Item Panel are not relative to display settings.
While modeling, if you do an intense use of crease or bevel edges; you need an access to Transform panel in edit mode to control fading of such effects.
While modeling with precision, you constantly verify measurements in Transform panel and adjust 3D Cursor Location.
You activate/deactivate length display.
While working with curves, you need access to same panel to control radius on several segments.
If you use Grease Pencil for modeling, you need an access to "Drawing settings" and "Convert" buttons.

Need to show/hide curves handles or normals is not a Viewport display user preference. It is something that you would need when working with curves or cleaning mesh for 3D printing.
With future split normals modifier, it would be more used for rendering.
While cleaning a mesh for 3D printing, you constantly switch Mesh Analysis display type to verify that a change did not alter what was OK.

While rigging, you have access to bone head, tail,radius, roll and enveloppe in Transform Panel in edit mode.
And when switching to Pose Mode, you have access to bone locks.
It is more efficient using this sidebar while rigging than being visual disturbed by Bone Tab changes in Properties Editor at mode switch.
Skeleton Sketching Panel is also an edit armature tool that is equal to use of grease pencil for modeling.

In some cases, a popup implies new shortcuts , new pies for what are actually checkboxes . In other cases like checking numerical values, a popup would be upsetting.
And in other cases, Panel represents a coherent grouping of actions and properties that make sense. And a splitting of this assembly would probably have none.

And some workflows could benefit to use two columns.
Do you find satisfying to have Slots Tab in same column that Brushes Tab while painting ?
Or was it better to have Texture Layer Manager addon in the other column ?

Though I don't see a case where somebody's workflow would require constant access to the Display settings, as in the 3d View's Properties sidebar. A popup with settings, that doesn't cover the whole 3dView/is draggable, would work better there. But if there are such cases, please provide examples.

In 2.5x original idea, 3d View's Properties sidebar should only contain Display settings.
But in practice, we know that it is not the case.

Transform panel, 3D Cursor panel,Transform Orientations Panel, Item Panel are not relative to display settings.
While modeling, if you do an intense use of crease or bevel edges; you need an access to Transform panel in edit mode to control fading of such effects.
While modeling with precision, you constantly verify measurements in Transform panel and adjust 3D Cursor Location.
You activate/deactivate length display.
While working with curves, you need access to same panel to control radius on several segments.
If you use Grease Pencil for modeling, you need an access to "Drawing settings" and "Convert" buttons.

Need to show/hide curves handles or normals is not a Viewport display user preference. It is something that you would need when working with curves or cleaning mesh for 3D printing.
With future split normals modifier, it would be more used for rendering.
While cleaning a mesh for 3D printing, you constantly switch Mesh Analysis display type to verify that a change did not alter what was OK.

While rigging, you have access to bone head, tail,radius, roll and enveloppe in Transform Panel in edit mode.
And when switching to Pose Mode, you have access to bone locks.
It is more efficient using this sidebar while rigging than being visual disturbed by Bone Tab changes in Properties Editor at mode switch.
Skeleton Sketching Panel is also an edit armature tool that is equal to use of grease pencil for modeling.

I'm not saying to move the panels you mentioned into such popup (Not the whole sidebar). Just the display settings - View, Display, Shading, Mesh Display, Background Images.

And some workflows could benefit to use two columns.
Do you find satisfying to have Slots Tab in same column that Brushes Tab while painting ?
Or was it better to have Texture Layer Manager addon in the other column ?

I actually don't like the idea of tools in the left sidebar, properties in the right one. Partially because it just doesn't work - we have a mix of properties/options and tools in both sidebars as a result. Possible solutions include:

  • more customizability - ability to drag tabs between sidebars, hide unused panels.
  • panels working as popups (possibly using buttons with icons)
  • dockable floating panels?

I'm not saying to move the panels you mentioned into such popup (Not the whole sidebar). Just the display settings - View, Display, Shading, Mesh Display, Background Images.

I am sorry for my irrelevant previous post. I think it would work very well for Display, Mesh Display and Shading panels. I have more doubts about other panels that are containing values or name fields to set-up more than one at a time.
I am annoyed when I change a value and move mouse to type and then, have to recall popup to complete settings changes.
To set a view lens or view clipping , a action to confirm popup closing would be welcomed.
I think there are too many settings and buttons per background image to contain several of them in a popup that does not take too much space.

I actually don't like the idea of tools in the left sidebar, properties in the right one. Partially because it just doesn't work - we have a mix of properties/options and tools in both sidebars as a result. Possible solutions include:

  • more customizability - ability to drag tabs between sidebars, hide unused panels.

yes to more customization.

  • panels working as popups (possibly using buttons with icons)

yes. But , IMO, it is something to limit to display panels.

  • dockable floating panels?

yes. Floating panels would be appreciated for more frequently used panels. What panel is frequently used and what is not is a question of subjectivity ?
So, dockable ones is an answer that offers customizability.

isn't this discussion supposed to be happening in https://developer.blender.org/T41700 ?

anyway, I agree with moving display settings and some other properties to header popup's, but I think tabs in the properties panel would also resolve a lot of the mess. The nice thing about tabs is that the different modes could activate relevant tabs in the properties panel as well, so for instance in the texture paint mode, an additional "Paint Properties" tab could appear to make space for things like texture slots,brush palettes,as well as color palettes.
This would intuitive and more like a normal paint program, as well as a better workflow than squeezing everything (including properties) into the tool panel.

this way, the relevant properties would be displayed only when useful, but will disappear when not needed.

@Warren Bahler (russcript) It is. Can someone move these past few comments there?

Is there any way we could download this?
Like to test or anything?

Ah well, guess we can't rush awesomeness.

I think the current UI is quite good and flexible. Implementing all those UI elements is to much effort in one direction. Just making Embos globaly editable with alpha value would be a copmpromize without loosing current flexibility. It shouldn't be so difficult to implement and theme designers can then decide on flat or embos designs.

@Tom (t.ask) : Don't forget this isn't blenderartists.org, this is an official UI design task that the UI team is discussing here for an issue that they feel is worth their time.
That we're allowed to join in is I think great, but I'd refrain from essentially saying it's wasted effort.
The emboss theme setting has already been branched off here T42228 and now we can focus on discussing updating the rest of the widget style in here.

@michael knubben (michaelknubben) If an issue is worth the development time, and how much development time, is a legit debatable topic, and since @Tom (t.ask) provided arguments along with his opinion, I see nothing wrong with his comment.

His comments, to my mind, read like 'I like what we have, and changing it would be too much effort'. Which I suppose as an opinion is fine, but it comes across as dismissive of the work done, after over a hundred posts in here.

Most of all, it doesn't help that the errors in the post make it seem like a minimum of time and effort was spent on it. Both Chrome and Firefox spellcheck by default.

I don't want to derail the conversation with this, mind. It was just an observation, carry on.

And don't forget that in this proposal there are some improvements that are actually not possible to make with theme, like the "important button", with this blue color, that improves a lot the readability.

@michael knubben (michaelknubben) Whoo, wait wait... I didn't say "wasted time".. what I think is, that most of the current mockup goals can be reached by adding some UI editing properties:

  • roundness of elements
  • outline alpha
  • font selection
  • 3D look of borders

Actually, I wrote a wall of text to explain more. Reading it now, I'm not certain that it's beneficial to post it.

If I may chip in my 2 cents here, I think that this design is a good design, with several flaws. Don't get me wrong, I'm open to change, unlike some other Blender users. First, the good parts:

  1. This layout is much easier on the eyes than the current layout.
  2. It follows the "simplicity" design trend.
  3. It appears to lay out items based on importance, making it much easier to find things.

And now, the bad.

  1. The UI item's meld into the background. I'm for removing the emboss/shadows, but I think the gradients should be kept. This keeps the widget from being just another button. The gradients make the elements pop.
  2. Seriously, this looks like a mobile app. It's a bit over simplified. Hence, reason 1.

I hope my opinion helps a little bit.

Takanu added a subscriber: Takanu.Dec 10 2014, 10:44 AM

Wow this looks amazing. This could really change blender. I looks very new and looks like a lot of new software. If we do change the UI this much we should save it for a major release such as Blender 2.80. This is similar to the big change in Blender 2.50

Can I see a image of the node editor with some nodes and some links

This comment was removed by Matsuiko (hirokamatsuiko).

Hi @Matsuiko (hirokamatsuiko).
What do you mean about the "Auto Collapse Fonction" ?

About the color highlight, if I understand well you want the to be user-defined ? (if true, that's fine)
IMHO it's a good idea, because quite often we use the same panel together, like Sampling, Volume Sampling, ...
That can make the panel somewhat more visual. And it's less annoying (in the sense too much attractive to the eye) than having the whole panel header colorized.
.

This comment was removed by Matsuiko (hirokamatsuiko).

But there is actually something similar in Blender: If you Ctrl+Click (ok, that shortcut is not really well know), you will open a panel and close all others.
And you can close a panel really fast with the A key.

This comment was removed by Matsuiko (hirokamatsuiko).

It's Ctrl + LMB.

I don't know what you mean about Zbrush, do you have an example ?

Maybe a option to switch betwenn the classical behavior and an "auto-toggle" behavior can be useful...

This comment was removed by Matsuiko (hirokamatsuiko).
Lapineige added a comment.EditedFeb 22 2015, 12:18 AM

1° image:
I'm not sure to understand well what you mean.
But actually some add-ons let you add some menu without any python knowledge. About removing, I think it's not possible without changing the (python) source code.
And that's not that hard to do in python, there is enough tutorials for you ;-)
But it's off-topic.

No need of another Blender to do that, that the goal of the add-ons, to be (re)enabeled.

About the color highlight, I think it's better and easier (and faster) to have it directly on the panel (for exemple with a RMB, like for the tabs' pinning tool).

2° image:
About the cut of the properties header into 3*4 buttons, I think tere is no real need, the icons are there do to see the difference, and that will take a bit more space...
My first thought when I saw the drag-and-drop thing was: the icons are in a precise and logical order, no need to change that.
But maybe some people may need to change that.
But as you will always see all the icons, I can't see any interest. Can you explain it to me ?

Apart from that, is anyone tried to benchmark the time needed to draw the UI with and without any emboss, shadow (and so on), as some kind of performance comparison between "flat" and shaded theme ?
It can be interesting to know if there is a realgain.

This comment was removed by Matsuiko (hirokamatsuiko).

Warning: this task suffers scope-creep

If you want to discuss larger changes for how to improve the UI/layout, we should probably have a separate task for that.

This is becoming a "discuss everything UI" task, which covers too broad an area, me (and probably other UI devs) don't have time to go over every suggestion, so this becomes another endless thread of discussion where nothing happens.


Suggest if any dev has time to work on larger UI changes, they start a new task for that, otherwise we restrict this thread to discuss basic style changes. (at least within the scope of the original task)

Closing this task,

If a developer is actually going to work on it, we can re-open.

For now @William Reynish (billrey) is not active or responding to design comments, and developers are not responding to feedback.

The discussion is going off topic - this is not really helping our design process and its more like a long forum thread.


Bottom line, if someone is able to work on this task, they can re-open.

I agree, but I'd suggest moderation as an alternative to a warning.
Hirokamatsuiko is just using this as a place for his (unrelated) feature requests, so in the interest of readability you might consider deleting his posts.
This isn't an open forum, so I think we can place higher demands on what's accepted and what isn't.

@michael knubben (michaelknubben), If a developer was actively working on this or at least planning to work on it and responding to feedback, this could stay open.

Archiving is simply stating that this topic is on-hold unless someone plans to work on it.

I understand, I was only suggesting we'd clean this up.

I think everything that's been written here in 2015 could be deleted without losing much of value, and the reason I suggest it is that I think it would actually make this a clearer read for when this gets picked up again in the future.

edit: and by 'we', I mean 'someone with more power than me' :D

I agree, but I'd suggest moderation as an alternative to a warning.
Hirokamatsuiko is just using this as a place for his (unrelated) feature requests, so in the interest of readability you might consider deleting his posts.
This isn't an open forum, so I think we can place higher demands on what's accepted and what isn't.

my sincere apologies
im just confused where to place and did not read before i just found about wiki where people send ui proposals

again sorry for being off topic